Package com.independentsoft.office.odf.drawing

# Enum Class Alignment

java.lang.Object
java.lang.Enum<Alignment>
com.independentsoft.office.odf.drawing.Alignment

All Implemented Interfaces:
  `Serializable`, `Comparable<Alignment>`, `Constable`

public enum Alignment extends Enum<Alignment>
Represents the shape edge where a glue point is positioned.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  The position of the glue point is specified relative to the bottom-left corner of the shape's bounding box.The position of the glue point is specified relative to the bottom-right corner of the shape's bounding box.
  `BOTTOM_LEFT`
  `BOTTOM_RIGHT`
  The position of the glue point is specified relative to the bottom-right corner of the shape's bounding box.
  `CENTER`
  The position of the glue point is specified relative to the center of the shape's bounding box.
  `LEFT`
  The position of the glue point is specified relative to the left of the shape's bounding box.
  `NONE`
  None.
  `RIGHT`
  Represents the shape edge where a glue point is positioned.
  `TOP`
  The position of the glue point is specified relative to the top of the shape's bounding box.
  `TOP_LEFT`
  The position of the glue point is specified relative to the top-left corner of the shape's bounding box.
  `TOP_RIGHT`
  The position of the glue point is specified relative to the top-rght corner of the shape's bounding box.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Alignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static Alignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP_LEFT

    public static final Alignment TOP_LEFT
    The position of the glue point is specified relative to the top-left corner of the shape's bounding box.

  - ### TOP

    public static final Alignment TOP
    The position of the glue point is specified relative to the top of the shape's bounding box.

  - ### TOP_RIGHT

    public static final Alignment TOP_RIGHT
    The position of the glue point is specified relative to the top-rght corner of the shape's bounding box.

  - ### LEFT

    public static final Alignment LEFT
    The position of the glue point is specified relative to the left of the shape's bounding box.

  - ### CENTER

    public static final Alignment CENTER
    The position of the glue point is specified relative to the center of the shape's bounding box.

  - ### RIGHT

    public static final Alignment RIGHT
    Represents the shape edge where a glue point is positioned.

  - ### BOTTOM

    public static final Alignment BOTTOM
    The position of the glue point is specified relative to the bottom-left corner of the shape's bounding box.The position of the glue point is specified relative to the bottom-right corner of the shape's bounding box.

  - ### BOTTOM_LEFT

    public static final Alignment BOTTOM_LEFT

  - ### BOTTOM_RIGHT

    public static final Alignment BOTTOM_RIGHT
    The position of the glue point is specified relative to the bottom-right corner of the shape's bounding box.

  - ### NONE

    public static final Alignment NONE
    None.

- ## Method Details

  - ### values

    public static Alignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Alignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null